Bug 313940 - Folderview gadget does not show the title after updating Display settings
Summary: Folderview gadget does not show the title after updating Display settings
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-folderview (show other bugs)
Version: 4.9.5
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Ignat Semenov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-26 22:56 UTC by Volkan
Modified: 2013-03-25 11:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volkan 2013-01-26 22:56:49 UTC
Changing Display title view setting after Entering settings does not work. 

You would need to update Location by changing into something else and reverting back.

Reproducible: Always

Steps to Reproduce:
1. Create a folderview gadget (by default no title is shown)
2. Enter settings -> Display tab.
3. Choose a title viewing option (e.g. Default)
4. Click Apply or OK.
Actual Results:  
The title is not shown.

Expected Results:  
It should show the title.

If you change the folder location and then revert it back it updates display options afterward.
Comment 1 Ignat Semenov 2013-02-11 13:22:38 UTC
This bug has been fixed in a branch during refactoring, I will try to merge the related commits back into master later on.
Comment 2 Ignat Semenov 2013-03-25 11:53:20 UTC
Git commit 4197a2b88b5195211db1e88b866562cc45129c5c by Ignat Semenov.
Committed on 01/02/2013 at 17:03.
Pushed by isemenov into branch 'master'.

redo the title configuration ui

- move the title configuration UI to the Location page
- use one combobox + one lineedit
- use an enum instead of comparing strings
- clean up the code
FIXED-IN:4.11

M  +69   -72   plasma/applets/folderview/folderview.cpp
M  +5    -2    plasma/applets/folderview/folderview.h
M  +209  -270  plasma/applets/folderview/folderviewDisplayConfig.ui
M  +161  -68   plasma/applets/folderview/folderviewLocationConfig.ui

http://commits.kde.org/kde-baseapps/4197a2b88b5195211db1e88b866562cc45129c5c